EnumActionDestroyOverflow (Apache Geode 1.13.2)
Date: 2021-03-08

org.apache.geode.cache.configuration

## Enum EnumActionDestroyOverflow

- java.lang.Object
- - java.lang.Enum<EnumActionDestroyOverflow>
  - - org.apache.geode.cache.configuration.EnumActionDestroyOverflow

- All Implemented Interfaces:
    Serializable, Comparable<EnumActionDestroyOverflow>

      @Experimental
      public enum EnumActionDestroyOverflow
      extends Enum<EnumActionDestroyOverflow>

  Java class for enum-action-destroy-overflow.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="enum-action-destroy-overflow">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="local-destroy"/>
           <enumeration value="overflow-to-disk"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL_DESTROY`
    `OVERFLOW_TO_DISK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumActionDestroyOverflow` | `fromValue(String v)`
    `String` | `value()`
    `static EnumActionDestroyOverflow` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumActionDestroyOverflow[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL_DESTROY

          public static final EnumActionDestroyOverflow LOCAL_DESTROY

    - #### OVERFLOW_TO_DISK

          public static final EnumActionDestroyOverflow OVERFLOW_TO_DISK

  - ### Method Detail

    - #### values

          public static EnumActionDestroyOverflow[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumActionDestroyOverflow c : EnumActionDestroyOverflow.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumActionDestroyOverflow valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static EnumActionDestroyOverflow fromValue(String v)